Skip to main content
GET
/
v1.0
/
message
/
details
cURL
curl -X GET 'https://api.telegent.com/v1.0/message/details?MessageId=MSG-123456' \
  -H 'Authorization: Bearer YOUR_TOKEN'
{
  "MessageId": "TMID-948AFE64-A7A9-45D4-A30A-DB7CFB57A2B6",
  "Direction": "OUTBOUND",
  "Type": "p2p",
  "CampaignId": "JCID-dsuhofh3882",
  "Cost": 0,
  "To": "+18015737111",
  "From": "+18018018011",
  "Body": "Hello there!!!",
  "Region": "United States",
  "CreatedOn": "2025-05-15T20:15:37.157",
  "MessageType": "sms",
  "Status": "Queued"
}

Documentation Index

Fetch the complete documentation index at: https://docs.telegent.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter the token obtained from the Authentication endpoint

Query Parameters

MessageId
string

The unique message ID to retrieve details for

Response

200 - application/json

Message Details - MMS

The response is of type object.